import { ThemeConfig } from 'antd';

const globalInputConfig = {
  borderRadius: 16,
  colorBgContainer: '#f0e6f6',
  colorBorder: '#f0e6f6',
  addonBg: '#f0e6f6',
  paddingInline: 18,
};

export const LIGHT: ThemeConfig = {
  token: {
    colorPrimary: '#7a41a1',
    // colorPrimary: '#934ac0',
    fontFamily: `Urbanist, sans-serif`,
    wireframe: true,
    colorFillSecondary: '#f0e6f6',
    fontSize: 14,
  },
  components: {
    Menu: {
      algorithm: true,
      motionDurationSlow: '0s',
      motionDurationMid: '0s',
    },
    Card: {
      borderRadiusLG: 9,
    },
    Select: {
      borderRadius: 168,
      colorText: '#722ED1',
    },
    Input: globalInputConfig,
    InputNumber: globalInputConfig,
    DatePicker: globalInputConfig,
    Table: {
      borderRadius: 16,
      borderColor: '#ddd',
      headerColor: '#7a41a1',
      colorText: '#666666',
    },
  },
};
